#!/bin/bash
set -e
SOURCE=$(jq .dependencies.prisma package.json -r | cut -d'^' -f2)
TARGET=$(pnpm show prisma version)
if [[ "$SOURCE" == "$TARGET" ]]; then
    echo "prisma is already up to date"
    exit 0
fi
echo "upgrading prisma from $SOURCE to $TARGET..."
sed -i s/"$SOURCE"/"$TARGET"/g Dockerfile
sed -i s/"$SOURCE"/"$TARGET"/g Dockerfile.ci
sed -i s/"$SOURCE"/"$TARGET"/g .gitlab-ci.yml
sed -i s/"$SOURCE"/"$TARGET"/g package.json
pnpm install && pnpm prisma generate
git checkout -b update-prisma-"$TARGET"
git add .
echo "committing and pushing"
git commit -m "[dependency]Updated prisma to $TARGET"
git push -o merge_request.create -o merge_request.merge_when_pipeline_succeeds
