#!/bin/bash
set -e
SOURCE=$(jq .devDependencies.typescript package.json -r | cut -d'^' -f2)
TARGET=$(pnpm show typescript version)
if [[ "$SOURCE" == "$TARGET" ]]; then
    echo "typescript is already up to date"
    exit 0
fi
echo "upgrading typescript from $SOURCE to $TARGET..."
sed -i s/"$SOURCE"/"$TARGET"/g Dockerfile
sed -i s/"$SOURCE"/"$TARGET"/g Dockerfile.ci
sed -i s/"$SOURCE"/"$TARGET"/g .gitlab-ci.yml
sed -i s/"$SOURCE"/"$TARGET"/g package.json
git checkout -b update-typescript-"$TARGET"
pnpm install
git add .
echo "committing and pushing"
git commit -m "[dependency]Updated typescript to $TARGET"
git push -o merge_request.create -o merge_request.merge_when_pipeline_succeeds
