import { startListener } from "./receiver";
import { initCleanup } from "./cleanup";
import { startServer } from "./server";
import migrate from "./migrate";
process.on("SIGINT", () => process.exit());

const redisUrl = process.env.REDIS_URL;
if (redisUrl) {
  console.log("REDIS_URL set, running migrations, auto cleanup, listener.");
  await migrate();
  await initCleanup();
  startListener(redisUrl);
} else {
  console.log("REDIS_URL not set, only running http server.");
}
startServer();
